<back to all web services

SpecificListsGetRequest

The following routes are available for this service:
PUT/RestApi/lists-api/items
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class SpecificListsGetRequest:
    ids: Optional[List[str]] = None
    provider: Optional[str] = None


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class ItemsTargetLanguageStatusProxy:
    code: Optional[str] = None
    name: Optional[str] = None
    some_items_have_incompatible_pending_translations: bool = False
    all_items_have_incompatible_pending_translations: bool = False


T = TypeVar('T')


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class CollectionContext(Generic[T]):
    total_count: int = 0
    is_generic: bool = False
    context: Optional[Dict[str, str]] = None
    items: Optional[List[ItemsTargetLanguageStatusProxy]] = None

Python SpecificListsGetRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/lists-api/items HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"Provider":"String"}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}